Bug 11125 - Remove Problematic Logic from Patron Messaging Preferences Form
Summary: Remove Problematic Logic from Patron Messaging Preferences Form
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Sophie MEYNIEUX
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 9002
Blocks: 12293
  Show dependency treegraph
 
Reported: 2013-10-23 15:31 UTC by Sophie MEYNIEUX
Modified: 2017-05-29 14:41 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11125 : Correct display for patron messaging preferences on OPAC (1.00 KB, patch)
2013-10-23 16:14 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review
Bug 11125 : Correct display for patron messaging preferences on OPAC (1.07 KB, patch)
2013-10-25 13:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11125 : Correct display for patron messaging preferences on OPAC (1.07 KB, patch)
2013-10-25 14:04 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11125 : Correct display for patron messaging preferences on OPAC (1.13 KB, patch)
2013-10-25 14:05 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11125 : Correct display for patron messaging preferences on OPAC (1.13 KB, patch)
2013-11-22 18:25 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sophie MEYNIEUX 2013-10-23 15:31:05 UTC
If you do not have SMSSendDriver set and you do not have a message_transport_type of "sms", you will get an extra table column filled with a hyphen "-" and no corresponding table heading in the Patron Messaging Preferences table.  

This pushes the table out of alignment so the email checkbox goes under "Digests Only?", the digests checkbox goes under "Do not notify", and the Do not notify checkbox is pushed to the side with no heading.

http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=9002 solves intranet display but OPAC display is always broken
Comment 1 Sophie MEYNIEUX 2013-10-23 16:14:16 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-10-25 13:48:11 UTC Comment hidden (obsolete)
Comment 3 sandboxes@biblibre.com 2013-10-25 14:04:13 UTC
Patch tested with a sandbox, by Koha team AMU <koha.aixmarseille@gmail.com>
Comment 4 sandboxes@biblibre.com 2013-10-25 14:04:33 UTC Comment hidden (obsolete)
Comment 5 sandboxes@biblibre.com 2013-10-25 14:05:13 UTC
Patch tested with a sandbox, by Koha team AMU <koha.aixmarseille@gmail.com>
Comment 6 sandboxes@biblibre.com 2013-10-25 14:05:31 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2013-11-22 18:25:56 UTC
Created attachment 23102 [details] [review]
Bug 11125 : Correct display for patron messaging preferences on OPAC

To test :
 1) Remove 'sms' from message_transport_types table
 2) Go on OPAC "My messaging" tab => table columns are out of alignment with table heading
 3) Apply patch => table is correctly displaid

Signed-off-by: Koha team AMU <koha.aixmarseille@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Galen Charlton 2013-11-24 18:10:44 UTC
Pushed to master.  Thanks, Sophie!
Comment 9 Fridolin SOMERS 2013-12-13 09:02:35 UTC
This patch has been pushed to 3.14.x, will be in 3.14.1
Comment 10 Tomás Cohen Arazi 2013-12-23 15:17:43 UTC
This patch has been pushed to 3.12.x, will be in 3.12.8.

Thanks Sophie!